
# Class: ssh::known_hosts
#
# Install global ssh_known_hosts file generated from LDAP directory.
#
# === Depencies:
#
# Template file generation requires Ruby LDAP bindings[http://ruby-ldap.sourceforge.net/] on puppet server.
#
class ssh::known_hosts {

    file { "/etc/ssh/ssh_known_hosts":
        ensure  => present,
        content => template("ssh/ssh_known_hosts.erb"),
        mode    => 0644,
        owner   => root,
        group   => $operatingsystem ? {
            OpenBSD => wheel,
            default => root,
        },
    }

}


# Disable SSH server.
#
class ssh::disable {

    service { "sshd":
        ensure => stopped,
        enable => false,
    }

}
